/**
 * Odoo, Open Source Management Solution
 * Copyright (C) 2012-today Odoo SA (<http:www.odoo.com>)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http:www.gnu.org/licenses/>
 *
 * Created on 31/12/14 11:30 AM
 */
package com.odoo.core.orm.fields.types;

public abstract class OTypeHelper {
    public Integer field_size = 0;

    public final boolean equals(String type) {
        return getFieldType().equals(type);
    }

    public final String getType() {
        String type = getFieldType();
        if (field_size > 0) {
            type += "(" + field_size + ")";
        }
        return type;
    }

    public void setSize(Integer size) {
        if (size != null)
            field_size = size;
    }

    public abstract String getFieldType();

    public Integer getFieldSize() {
        return field_size;
    }

    public String getDataFormat() {
        return null;
    }

    @Override
    public String toString() {
        return "OTypeHelper{" +
                "field_type='" + getFieldType() + '\'' +
                ", field_size=" + field_size +
                '}';
    }
}
