/**
 * Odoo, Open Source Management Solution
 * Copyright (C) 2012-today Odoo SA (<http:www.odoo.com>)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http:www.gnu.org/licenses/>
 * 
 */
package com.odoo.core.utils.logger;

import android.text.TextUtils;
import android.util.Log;

public class OLog {

	public static void log(String... messages) {
		String message = TextUtils.join(", ", messages);
		final Throwable throwable = new Throwable();
		final StackTraceElement[] elements = throwable.getStackTrace();
		final String callerClassName = elements[1].getClassName();
		final String callerMethodName = elements[1].getMethodName();
		Log.e(callerClassName + "[" + callerMethodName + "] ", message);
	}

}
